################################################################
#
#   Bell Runner - UI Theme
#
################################################################

from albow.theme import root, Theme

root.fg_color = (0, 0, 0)
root.sel_color = (63, 165, 254)
root.Dialog.bg_color = (224, 224, 224)

root.Button.fg_color = (0, 0, 0)
root.Button.highlight_color = (0, 0, 0)
root.Button.enabled_bg_color = (148, 217,254)
root.Button.disabled_bg_color = (192, 192, 192)
root.Button.highlight_bg_color = (255, 165, 78)
root.Button.margin = 8
root.Button.border_width = 2

root.PaletteView.highlight_style = 'fill'
root.PaletteView.scroll_button_color = (64, 64, 64)

root.FileListView.scroll_button_color = (64, 64, 64)

root.MenuButton = Theme("MenuButton")
root.MenuButton.font = (24, "VeraBd.ttf")
root.MenuButton.highlight_color = (255, 255, 0)
root.MenuButton.bg_color = None
root.MenuButton.enabled_bg_color = None
root.MenuButton.disabled_bg_color = None
root.MenuButton.highlight_bg_color = None
root.MenuButton.margin = 0
root.MenuButton.border_width = 0

root.MainMenuButton = Theme("MainMenuButton", root.MenuButton)
root.MainMenuButton.fg_color = (0, 126, 253)

root.EditMenuButton = Theme("EditMenuButton", root.MenuButton)
root.EditMenuButton.fg_color = (100, 255, 0)

#root.Multichoice = Theme("Multichoice")
#root.Multichoice.sel_color = root.fg_color
#root.Multichoice.sel_width = 1
#root.Multichoice.highlight_color = root.sel_color
#
#root.ImageMultichoice = Theme("ImageMultichoice")
#root.ImageMultichoice.sel_color = (192, 192, 192)
